Subject: Re: [PATCH] remote: add --set-head option to 'git remote add'

From: Harald Nordgren <[email-masked]>
Date: Sun, 26 Apr 2026 17:15:28 +0200

> I don’t understand why you change the email subjects so often. Right now
> I had three “Wrong subject line” in my inbox with lost threading
> (webmail client) with the only way to distinguish them being that I was
> the the CC on this one.
> 
> Most of the time whole 100-email threads like patch series never change
> the subject. And to me it is easier to keep track of those “RE: [PATCH
> v5] florb: drop glorb” than if someone changes the subject to e.g.
> “Regarding memory leaks” because someone found a memory leak in a
> review. Because that was a reply to an email from two days ago, but I’ve
> been a away for a week so I think it’s a new thread about
> something else.

I got some feedback before, not from you, that subject lines should be
more varied, probably there is a golden middle that I need to find.

And I fundamentally agree with you.

Harald